import { HttpClient } from '@angular/common/http';
import { CmsPostContainerModel } from '../../../../../../models/aggregates/erp/cms-post';
import { CmsPostQueryCriteriaClass } from '../../../criteria';
import { Observable } from 'rxjs';
import { Optional } from 'typescript-optional';
import { ApiResponseModel, ApiVisa, BasicApiResponseModel } from '../../shared';
import { BaseApiPublicLoginTemplateService } from '../../shared/base-api-public-login-template.service';
export declare class CmsPostPackageService extends BaseApiPublicLoginTemplateService<CmsPostContainerModel, CmsPostContainerModel, CmsPostContainerModel> {
    constructor(http: HttpClient);
    getIncrementedCommentCountBackOffice(postGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<CmsPostContainerModel>>;
    getIncrementedCommentCountPublic(postGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<CmsPostContainerModel>>;
    getCmsPostByCriteria(visa: ApiVisa, criteria?: CmsPostQueryCriteriaClass): Observable<ApiResponseModel<CmsPostContainerModel>>;
    updateImage(formData: FormData, imageGuid: any, visa: ApiVisa): Observable<Object>;
    uploadImage(formData: FormData, extGuid: any, visa: ApiVisa, postfiletype: any): Observable<Object>;
    getExtDetailsByGuid(imageGuid: any, visa: ApiVisa): Observable<Object>;
    getImageDetailsByGuid(imageGuid: any, visa: ApiVisa): Observable<Object>;
    getFileByGuid(extGuid: string, visa: ApiVisa): Observable<Blob>;
    static filesToFormData(files: File[], formDataKeyValue: Optional<string>): FormData;
    private static fileToFormData;
    replaceFile(file: File, fileExtGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<CmsPostContainerModel>>;
    addFile(files: File[], hdrGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<CmsPostContainerModel>>;
}
